# eric4.Preferences.ToolGroupConfigurationDialog

Module implementing a configuration dialog for the tools menu.

### Global Attributes

None

### Classes

ToolGroupConfigurationDialog | Class implementing a configuration dialog for the tool groups.

### Functions

None

## ToolGroupConfigurationDialog

Class implementing a configuration dialog for the tool groups.

### Derived from

QDialog, Ui_ToolGroupConfigurationDialog

### Class Attributes

None

### Class Methods

None

### Methods

ToolGroupConfigurationDialog | Constructor
__swap | Private method used two swap two list entries given by their index.
getToolGroups | Public method to retrieve the tool groups.
on_addButton_clicked | Private slot to add a new entry.
on_changeButton_clicked | Private slot to change an entry.
on_deleteButton_clicked | Private slot to delete the selected entry.
on_downButton_clicked | Private slot to move an entry down in the list.
on_groupsList_currentRowChanged | Private slot to set the lineedits depending on the selected entry.
on_newButton_clicked | Private slot to clear all entry fields.
on_upButton_clicked | Private slot to move an entry up in the list.

### Static Methods

None

#### ToolGroupConfigurationDialog (Constructor)

ToolGroupConfigurationDialog(toolGroups, currentGroup, parent = None)

Constructor

toolGroups
  list of configured tool groups
currentGroup
  number of the active group (integer)
parent
  parent widget (QWidget)

#### ToolGroupConfigurationDialog.__swap

__swap(itm1, itm2)

Private method used two swap two list entries given by their index.

itm1
  index of first entry (int)
itm2
  index of second entry (int)

#### ToolGroupConfigurationDialog.getToolGroups

getToolGroups()

Public method to retrieve the tool groups.

Returns:
  a list of lists containing the group name and the tool group entries

#### ToolGroupConfigurationDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add a new entry.

#### ToolGroupConfigurationDialog.on_changeButton_clicked

on_changeButton_clicked()

Private slot to change an entry.

#### ToolGroupConfigurationDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected entry.

#### ToolGroupConfigurationDialog.on_downButton_clicked

on_downButton_clicked()

Private slot to move an entry down in the list.

#### ToolGroupConfigurationDialog.on_groupsList_currentRowChanged

on_groupsList_currentRowChanged(row)

Private slot to set the lineedits depending on the selected entry.

row
  the row of the selected entry (integer)

#### ToolGroupConfigurationDialog.on_newButton_clicked

on_newButton_clicked()

Private slot to clear all entry fields.

#### ToolGroupConfigurationDialog.on_upButton_clicked

on_upButton_clicked()

Private slot to move an entry up in the list.

Up